# arr-pluck [![NPM version](https://badge.fury.io/js/arr-pluck.svg)](http://badge.fury.io/js/arr-pluck)  [![Build Status](https://travis-ci.org/jonschlinkert/arr-pluck.svg)](https://travis-ci.org/jonschlinkert/arr-pluck) 

> Retrieves the value of a specified property from all elements in the collection.

## Install with [npm](npmjs.org)

```bash
npm i arr-pluck --save
```

## Usage

```js
var pluck = require('arr-pluck');

var arr = [{ 'a': 'b', 'c': 'd' }, { 'a': 'f', 'c': 'e' }];
pluck(arr, 'a');
//=> ['b', 'f']
```

## Running tests
Install dev dependencies.

```bash
npm i -d && npm test
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/arr-pluck/issues)

## Related
* [arr-diff](https://github.com/jonschlinkert/arr-diff): Returns an array with only the unique values from the first array, by excluding all values from additional arrays using strict equality for comparisons.
* [arr-filter](https://github.com/jonschlinkert/arr-filter): Faster alternative to javascript's native filter method.
* [arr-flatten](https://github.com/jonschlinkert/arr-flatten): Recursively flatten an array or arrays. This is the fastest implementation of array flatten.
* [arr-map](https://github.com/jonschlinkert/arr-map): Faster, node.js focused alternative to JavaScript's native array map.
* [arr-reduce](https://github.com/jonschlinkert/arr-reduce): Fast array reduce that also loops over sparse elements.

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on March 24, 2015._